script_title = "Exclusive arm selected track"
reaper.Undo_BeginBlock()
reaper.PreventUIRefresh(1)

function Folder()
local r = reaper; local function nothing() end; local function bla() r.defer(nothing) end

local tracks = r.CountSelectedTracks()
if tracks == 0 then bla() return end

local collapsed

for i = 0,tracks-1 do
  local tr = r.GetSelectedTrack(0,i)
  if r.GetMediaTrackInfo_Value(tr, 'I_FOLDERDEPTH') == 1 then
    collapsed = r.GetMediaTrackInfo_Value(tr, 'I_FOLDERCOMPACT')
    if collapsed == 0 then collapsed = 2 else collapsed = 0 end
  break end
end


for i = 0,tracks-1 do
  local tr = r.GetSelectedTrack(0,i)
  if r.GetMediaTrackInfo_Value(tr, 'I_FOLDERDEPTH') == 1 then
    r.SetMediaTrackInfo_Value(tr, 'I_FOLDERCOMPACT',collapsed)
  end
end
end


local window, segment, details = reaper.BR_GetMouseCursorContext()

local get_track = reaper.GetSelectedTrack(0,0)
if get_track == nil then return end

local track_info = reaper.GetMediaTrackInfo_Value(get_track, 'I_FOLDERDEPTH')
  if track_info == 1 and window == 'tcp' then
    Folder()
  elseif track_info == 1 and window == 'mcp' then
    reaper.Main_OnCommand(41665, 0)
  elseif track_info ~= 1 then
    reaper.Main_OnCommand( 40491, 0)
    reaper.Main_OnCommand( 40294, 0)
end


reaper.UpdateArrange()
reaper.PreventUIRefresh(-1)
reaper.Undo_EndBlock(script_title, 0)
